Last Comment Bug 573356 - Implement the figure and figcaption elements
: Implement the figure and figcaption elements
Status: RESOLVED FIXED
: dev-doc-complete, html5
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- enhancement with 1 vote (vote)
: mozilla2.0b1
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
: Andrew Overholt [:overholt]
Mentors:
http://www.whatwg.org/html/#the-figur...
Depends on: 573377
Blocks: 658272
  Show dependency treegraph
 
Reported: 2010-06-20 08:08 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2011-11-22 01:28 PST (History)
6 users (show)
Ms2ger: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (13.56 KB, patch)
2010-06-20 08:08 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review
Patch v2 (13.52 KB, patch)
2010-06-20 11:34 PDT, :Ms2ger (⌚ UTC+1/+2)
jst: review+
timeless: review+
ehsan: review-
Details | Diff | Splinter Review
Patch v3 (13.49 KB, patch)
2010-06-21 23:36 PDT, :Ms2ger (⌚ UTC+1/+2)
ehsan: review+
Details | Diff | Splinter Review
Patch for checkin (13.59 KB, patch)
2010-06-23 04:58 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2010-06-20 08:08:26 PDT
Created attachment 452564 [details] [diff] [review]
Patch v1
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2010-06-20 08:09:28 PDT
Comment on attachment 452564 [details] [diff] [review]
Patch v1

timeless, could you review the editor parts?
Comment 2 timeless 2010-06-20 08:40:33 PDT
Comment on attachment 452564 [details] [diff] [review]
Patch v1

>diff --git a/content/base/src/nsGkAtomList.h b/content/base/src/nsGkAtomList.h
>+GK_ATOM(figure, "figure")
>+GK_ATOM(figcaption, "figcaption")

this isn't sorted correctly.

>diff --git a/editor/libeditor/base/nsEditPropertyAtomList.h b/editor/libeditor/base/nsEditPropertyAtomList.h
>@@ -120,16 +120,18 @@ EDITOR_ATOM(address, "address")
> EDITOR_ATOM(address, "address")
..
> EDITOR_ATOM(footer, "footer")
..
> EDITOR_ATOM(section, "section")
>+EDITOR_ATOM(figure, "figure")
>+EDITOR_ATOM(figcaption, "figcaption")

odd sorting, and what's the logic to stick this here?
Comment 3 :Ms2ger (⌚ UTC+1/+2) 2010-06-20 11:34:40 PDT
Created attachment 452590 [details] [diff] [review]
Patch v2

Now with saner sorting. Thanks, timeless
Comment 4 Johnny Stenback (:jst, jst@mozilla.com) 2010-06-21 11:51:36 PDT
Comment on attachment 452590 [details] [diff] [review]
Patch v2

Looks good to me, but I'd like Ehsan to have a look at the editor changes here.
Comment 5 :Ehsan Akhgari 2010-06-21 12:23:57 PDT
Comment on attachment 452590 [details] [diff] [review]
Patch v2

The figcaption element cannot contain itself.
Comment 6 :Ehsan Akhgari 2010-06-21 12:24:43 PDT
Which means, the third parameter to the ELEM macro should be PR_FALSE.
Comment 7 :Ms2ger (⌚ UTC+1/+2) 2010-06-21 23:36:48 PDT
Created attachment 452984 [details] [diff] [review]
Patch v3

Thanks, fixed that.
Comment 8 :Ms2ger (⌚ UTC+1/+2) 2010-06-23 04:58:00 PDT
Created attachment 453350 [details] [diff] [review]
Patch for checkin

r=jst+timeless+ehsan.
Comment 9 Shawn Wilsher :sdwilsh 2010-06-23 10:14:37 PDT
Assuming this needs to be documented, so adding dev-doc-needed.

http://hg.mozilla.org/mozilla-central/rev/40de8e1a9f13
Comment 10 Jeff Walden [:Waldo] (remove +bmo to email) 2010-06-23 11:52:09 PDT
It's not defined how MACRO(..., ) with an empty argument expands; filed bug 574078 on not doing that, CC'd the people who seem to have touched nsHTMLTagList.h recently.
Comment 11 Jean-Yves Perrier [:teoli] 2010-06-26 10:23:33 PDT
Documentation added.

For the figcaption element: https://developer.mozilla.org/en/HTML/Element/figcaption
For the figure element: https://developer.mozilla.org/en/HTML/Element/figure

Both pages are linked from the relevant pages (Element, Firefox 4 for Developers, HTML5)

(If someone can change dev-doc-needed to dev-doc-complete, it would be nice)
Comment 12 :Ms2ger (⌚ UTC+1/+2) 2010-06-26 10:48:10 PDT
Thanks a lot!

Note You need to log in before you can comment on or make changes to this bug.